use bevy::prelude::{Handle, Image};
use bevy::sprite::TextureAtlasLayout;

pub trait SuppliesTextureAtlas {
	fn get_atlas_handle(&self, name: impl ToString) -> Option<&Handle<TextureAtlasLayout>>;
	fn get_atlas(&self, name: &Handle<TextureAtlasLayout>) -> Option<&TextureAtlasLayout>;
}
pub trait SuppliesImage {
	fn get_image_handle(&self, name: impl ToString) -> Option<&Handle<Image>>;
	fn get_image(&self, handle: &Handle<Image>) -> Option<&Image>;
}
